init_sp:
	ldi		tmp1,low(ramend)
	out		spl,tmp1
	ldi		tmp1,high(ramend)
	out		sph,tmp1
	rcall	init_uart
	rcall	init_adc
	clr		tmp1
	sts		stat_rx,tmp1	;clear rx buffer
	sts		stat_tx,tmp1	;clear tx buffer
end_init:
